Delete a document
DELETE
/api/Documents/{id}
const url = 'https://app.docstosheets.com/api/Documents/example?deleteFromSpreadsheet=true';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://app.docstosheets.com/api/Documents/example?deleteFromSpreadsheet=true' \ --header 'Authorization: Bearer <token>'Deletes the document along with its stored file and extraction.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The document ID.
Query Parameters
Section titled “Query Parameters ” mailboxId
string
The mailbox ID (partition key).
deleteFromSpreadsheet
boolean
When false, the document’s rows stay in the export workbook as customer-owned rows (their sync keys are blanked) instead of being removed by the next sync.
Responses
Section titled “ Responses ”No content on success.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"} Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}